<?php
/**
 * This was contained in an addon until version 1.0.0 when it was rolled into
 * core.
 *
 * @package    WBOLT
 * @author     WBOLT
 * @since      1.1.0
 * @license    GPL-2.0+
 * @copyright  Copyright (c) 2019, WBOLT
 */

?>

<template id="wbs_tpl_swt">
    <div>
        <div class="search-bar">
            <select class="wbs-input" @change="switch_se">
                <option value="so" :selected="type == 'so'"> <?php _e( '360' , 'wp-sst'); ?></option>
                <option value="bing" :selected="type == 'bing'"> <?php _e( 'Bing' , 'wp-sst'); ?></option>

                <template v-if="is_pro">
                    <option value="google" :selected="type == 'google'"> <?php _e( 'Google' , 'wp-sst'); ?> </option>
                    <option value="baidu" :selected="type == 'baidu'"> <?php _e( 'Baidu' , 'wp-sst'); ?></option>
                    <option value="taobao" :selected="type == 'taobao'"> <?php _e( 'Taobao' , 'wp-sst'); ?></option>
                    <option value="trade" :selected="type == 'trade'"> <?php _e( 'E-commerce' , 'wp-sst'); ?></option>
                </template>
                <template v-if="!is_pro">
                    <option value="0"> <?php _e( 'Google' , 'wp-sst'); ?> <i class="tag-pro">[PRO]</i> </option>
                    <option value="0"> <?php _e( 'Baidu' , 'wp-sst'); ?> <i class="tag-pro">[PRO]</i></option>
                    <option value="0"> <?php _e( 'Taobao' , 'wp-sst'); ?> <i class="tag-pro">[PRO]</i></option>
                    <option value="0"> <?php _e( 'E-commerce' , 'wp-sst'); ?> <i class="tag-pro">[PRO]</i></option>
                </template>

            </select>

            <input class="wbs-input" id="J_searchKWBar" v-model="kw" @keyup.enter="get_list">

            <button class="wbs-btn wbs-btn-primary" type="button" @click="get_list">
                <svg class="wb-icon wbsico-search"><use xlink:href="#wbsico-search"></use></svg>
                <span><?php _e( 'SEARCH' , 'wp-sst'); ?></span>
            </button>
        </div>

        <div class="swt-main">
            <div class="data-list">
                <table class="wbs-table table-data-list">
                    <thead>
                    <tr>
                        <th><?php _e( 'ID' , 'wp-sst'); ?></th>
                        <th><?php _e( 'Similar keywords' , 'wp-sst'); ?></th>
                        <th class="w6em ctrl"><?php _e( 'Search' , 'wp-sst'); ?></th>
                        <th class="w6em ctrl">
                            <label class="label-selector">
                                <input type="checkbox" :checked="selectedAll" @change="selected_words_all">
                            </label>
                        </th>
                    </tr>
                    </thead>
                    <tbody v-show="ret.length > 0">
                    <tr v-for="(v, index) in ret">
                        <td>{{index+1}}</td>
                        <td>{{v}}</td>
                        <td class="ctrl">
                            <button class="btn-for-search" type="button" @click="kw=v;get_list()"><svg class="wb-icon wbsico-search"><use xlink:href="#wbsico-search"></use></svg></button>
                        </td>
                        <td class="ctrl">
                            <label class="label-selector">
                                <input type="checkbox" v-model="selected_words" :value="v">
                            </label>
                        </td>
                    </tr>
                    </tbody>
                    <tfoot>
                    <tr v-show="ret.length > 0">
                        <td></td>
                        <td></td>
                        <td></td>
                        <td class="ctrl">
                            <label class="label-selector">
                                <span><?php _e( 'All' , 'wp-sst'); ?></span>
                                <input type="checkbox" :checked="selectedAll" @change="selected_words_all">
                            </label>
                        </td>
                    </tr>
                    </tfoot>
                </table>
            </div>
            
            <div class="output-wp">
                <div class="output-list">
                    <span class="ol-item" v-for="i in selected_words">{{i}}</span>
                </div>
                <textarea class="output-area" id="J_skw_output" @focus="selected()">{{selected_words.join(',')}}</textarea>
                <div class="mt">
                    <button class="button button-primary" type="button" @click="copy"><?php _e( 'COPY' , 'wp-sst'); ?></button>
                    <button class="button" type="button" @click="clear"><?php _e( 'CLEAR' , 'wp-sst'); ?></button>
                </div>
            </div>
        </div>


    </div>
</template>